## qt4-declarative-samegame 4.7.0~git20101029-0maemo1

=== Makefile ===
# Dummy Makefile to make Debian packaging easier

COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_DIR   = $(COPY_DIR)

all:
	echo "It is declarative. It is already made :)"

install:
	-$(INSTALL_DIR) opt $(INSTALL_ROOT)
	-$(INSTALL_DIR) usr $(INSTALL_ROOT)

distclean:
	echo "It is declarative. It is clean by default."

=== debian/changelog ===
qt4-declarative-samegame (4.7.0~git20101029-0maemo1) unstable; urgency=low

  * Rename & update package to released 4.7.0

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 29 Jun 2010 09:29:01 +0200

qt4-experimental-samegame (4.7.0~git20100810-0maemo1) unstable; urgency=low

  * Rename & update package to 4.7

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 08 Jun 2010 09:29:01 +0200

qt4-maemo5-samegame (4.6.2~git20100212-0maemo1) unstable; urgency=low

  * Update from Qt upstream

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 12 Feb 2010 09:29:01 +0200

qt4-maemo5-samegame (4.6.0~git20091217-0maemo1) unstable; urgency=low

  * Bump version

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 17 Dec 2009 14:29:01 +0200

qt4-maemo5-samegame (4.6.0~git20091215-0maemo1) unstable; urgency=low

  * Initial Qt SameGame package

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 15 Dec 2009 11:29:01 +0200

=== debian/control ===
Source: qt4-declarative-samegame
Section: games
Priority: optional
Maintainer: Qt Development Frameworks <qt-info@nokia.com>
Uploaders: Harald Fernengel <harald.fernengel@nokia.com>
Build-Depends: cdbs, debhelper (>= 5), sharutils
Standards-Version: 3.7.3

Package: qt4-declarative-samegame
Architecture: any
Section: games
Depends: qt4-declarative-qmlviewer (>= 4.6.99)
Description: Qt 4 SameGame Demo
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The SameGame is a demo game showing how to use QML and Qt Declarative.
 It's also a fun game for non-developers

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# Only present in official source package
#QTVERSION := $(shell ls changes-* | cut -f2 -d '-')
CURRENTVERSION := $(shell head -1 debian/changelog  | sed 's/[^(]*(\([^)]*\)).*/\1/')

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/utils.mk

# Find out how many parallel threads to run 
comma := ,
TMP_BUILD_OPTS = $(subst $(comma), ,$(DEB_BUILD_OPTIONS))
ifneq (,$(filter parallel=%,$(TMP_BUILD_OPTS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(TMP_BUILD_OPTS)))
	PARALLEL_MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_MAKE_INVOKE := $(MAKE) $(PARALLEL_MAKEFLAGS)
DEB_MAKE_BUILD_TARGET := all
DEB_MAKE_INSTALL_TARGET := INSTALL_ROOT=$(DEB_DESTDIR) install
#DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_ALWAYS_EXCLUDE := .git

DEB_MAKE_CLEAN_TARGET := distclean

# Shlibs of the current upstream version
DEB_DH_MAKESHLIBS_ARGS_ALL := -V

# Only present in official source package
#DEB_INSTALL_CHANGELOGS_ALL := changes-$(QTVERSION)

common-configure-arch::
